haskell-network (3.1.4.0-1build3) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2023 08:45:37 +0100

haskell-network (3.1.4.0-1build2) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2023 08:41:40 +0100

haskell-network (3.1.4.0-1build1) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 17:49:57 +0100

haskell-network (3.1.4.0-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Remove retired developer, Joachim Breitner, from Uploaders.
  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 31 Aug 2023 16:24:30 +0300

haskell-network (3.1.2.7-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 14 Jun 2022 20:15:54 -0400

haskell-network (3.1.1.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Remove Dmitry Bogatov from Uploaders per his request. Thank you
    Dmitry for your previous maintainership.

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 17:09:07 -0400

haskell-network (2.8.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 28 Jul 2019 15:27:48 -0400

haskell-network (2.6.3.6-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 11:10:57 +0300

haskell-network (2.6.3.5-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 16:39:50 -0400

haskell-network (2.6.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 17:42:09 -0400

haskell-network (2.6.3.1-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:35:09 -0400

haskell-network (2.6.3.1-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Thu, 13 Oct 2016 15:06:21 -0400

haskell-network (2.6.3.1-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Sean Whitton ]
  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 12 Aug 2016 21:45:16 -0700

haskell-network (2.6.2.1-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:49 -0500

haskell-network (2.6.2.1-2) experimental; urgency=medium

  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:16 +0200

haskell-network (2.6.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 16 Jul 2015 15:21:58 +0200

haskell-network (2.6.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 11:42:43 +0200

haskell-network (2.6.0.2-3) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:51 +0200

haskell-network (2.6.0.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:51:55 +0200

haskell-network (2.6.0.2-1) experimental; urgency=medium

  * New upstream release
  * Overide lintian warning, treating BSD.hs as license file

 -- Dmitry Bogatov <KAction@gnu.org>  Mon, 23 Feb 2015 14:15:30 +0300

haskell-network (2.4.1.2-3) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:11:30 +0100

haskell-network (2.4.1.2-2) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on autotools-dev, thanks to Fernando Seiti Furusato for the
    heads-up (Closes: #755828)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 24 Jul 2014 14:14:11 +0200

haskell-network (2.4.1.2-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 May 2013 15:27:29 +0200

haskell-network (2.4.0.1-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:30 +0200

haskell-network (2.4.0.1-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 17 Oct 2012 21:22:33 +0200

haskell-network (2.3.0.13-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 13 May 2012 11:31:48 +0200

haskell-network (2.3.0.10-2) unstable; urgency=low

  * Add ${haskell:Depends} to -doc package

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Feb 2012 17:08:13 +0100

haskell-network (2.3.0.10-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 04 Feb 2012 19:18:47 +0100

haskell-network (2.3.0.6-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 03 Oct 2011 13:22:12 +0200

haskell-network (2.3.0.5-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 22 Sep 2011 21:40:35 +0200

haskell-network (2.3.0.2-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Use more sintetic link in Homepage:.
  * debian/source/format: Use 3.0 (quilt).

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release
  * Switch to using parsec 3

 -- Joachim Breitner <nomeata@debian.org>  Sun, 27 Mar 2011 10:16:17 +0530

haskell-network (2.2.1.7-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Add Vcs-Darcs: field.
  * debian/control: Add Homepage: field.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7
  * New upstream version.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 12 Feb 2010 15:34:22 +0100

haskell-network (2.2.1.4-3) unstable; urgency=low

  * Really fix broken maintainer address, argh! (Closes: #542496)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 22 Aug 2009 23:38:59 +0200

haskell-network (2.2.1.4-2) unstable; urgency=low

  * Fix broken maintainer address (Closes: #542496)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 22 Aug 2009 23:22:06 +0200

haskell-network (2.2.1.4-1) unstable; urgency=low

  * New upstream release (Version as specified by the Haskell Platform)
  * Add watchfile
  * Adopt for the Debian Haskell Group. Thanks to Kari for his previous work.
  * Bump standards version

 -- Joachim Breitner <nomeata@debian.org>  Sun, 16 Aug 2009 19:29:29 +0200

haskell-network (2.2.1.3-1) unstable; urgency=low

  * New upstream release
  * Explicitly use libghc6-parsec2-* as build dependency.
  * Use Section: haskell.

 -- Kari Pahula <kaol@debian.org>  Mon, 15 Jun 2009 23:55:00 +0300

haskell-network (2.2.0.1-4) unstable; urgency=low

  * Use hlibrary.mk from haskell-devscripts and remove the local copy.

 -- Kari Pahula <kaol@debian.org>  Wed, 25 Feb 2009 14:56:17 +0200

haskell-network (2.2.0.1-3) unstable; urgency=low

  * Updated hlibrary.mk to generate deps on libraries that network uses.

 -- Kari Pahula <kaol@debian.org>  Sat, 21 Feb 2009 11:45:11 +0200

haskell-network (2.2.0.1-2) unstable; urgency=low

  * Updated hlibrary.mk to put .haddock file to -dev.

 -- Kari Pahula <kaol@debian.org>  Fri, 20 Feb 2009 09:44:16 +0200

haskell-network (2.2.0.1-1) unstable; urgency=low

  * New upstream release
  * New maintainer.
  * Switched over to use haskell-devscripts and hlibrary.mk.

 -- Kari Pahula <kaol@debian.org>  Wed, 18 Feb 2009 18:26:42 +0200

haskell-network (2.1.0.0-2) unstable; urgency=low

  * Upgrade to "Generic Haskell cabal library packaging files v10":
    * Versioned dependencies are now generated for the Cabal packages we
      depend on.
    * Use the new ${impl:ghc6:*_deps} variables in debian/control.in.
    * Call canonicalise-comma-list on the depends and suggests fields in
      control.in. This works around bugs in lintian, where it gets
      confused and starts giving spurious warnings.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 28 Feb 2008 01:01:45 +0000

haskell-network (2.1.0.0-1) unstable; urgency=low

  * New upstream version.
  * Upgrade to "Generic Haskell cabal library packaging files v9":
    * Allows Setup to be in Setup.lhs instead of Setup.hs.
    * Bump the required haskell-utils from 1.8 to 1.10.
    * The control.in gives a standards-version of 3.7.3 (was 3.7.2).
    * Move everything from the devel section to the libdevel section.
    * Delete the LICENSE file (currently we assume it has that name, and
      that it exists) after "Setup copy"ing the Cabal package.
    * Remove some hacks that worked around older Cabal not letting us
      tell it exactly where to put the documentation.
    * Use --hyperlink-source when telling Cabal to haddock the library.
    * Add hscolour to the build-depends.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 20 Nov 2007 00:01:21 +0000

haskell-network (2.0.1-2) unstable; urgency=low

  * Upgrade to "Generic Haskell cabal library packaging files v8":
    * update-generated-files rule in debian/rules runs
      update-debian-haskell-files.
    * Build-dep on haddock >= 0.8-2 in order to get portable .haddock files.
    * We tell Cabal's configure where to put the docs so that it doesn't
      break when we move them around behind its back.
    * Use canonicalise-comma-list around the build-deps in debian/control.in
      to fix problems where we get an unparsable ", , " when a variable is
      empty.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 04 Jun 2007 21:53:07 +0000

haskell-network (2.0.1-1) unstable; urgency=low

  * New upstream version.
  * Fix Setup.hs (type signatures don't match our version of Cabal).
  * Split off profiling and documentation into separate packages.
  * debian/control.in now makes much more use of variables, including
    magic Cabal variables.
  * Use debhelper level 5 (was 4).
  * Bump haskell-utils build-dep requirement to 1.8.
  * Upgrade to "Generic Haskell cabal library debian/rules v0.7":
    * Generate haddock docs.
    * -doc package calls gen_contents_index from postinst and postrm.
    * Use destdir rather than deprecated copy-prefix flag to Setup copy.
    * Add -X.haddock to dh_compress call.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 10 May 2007 13:42:06 +0100

haskell-network (2.0-3) unstable; urgency=low

  * Upgrade to "Generic Haskell cabal library debian/rules v0.6".
    Tell setup to use ghc6 rather than ghc, so that the postinst/prerm
    scripts work when the ghc-pkg symlink doesn't exist or doesn't
    point to ghc6's ghc-pkg.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 20 Nov 2006 20:50:42 +0000

haskell-network (2.0-2) unstable; urgency=low

  * Update control from control.in to include arm, mips and mipsel in the
    architecture list.
  * Upgrade to "Generic Haskell cabal library debian/rules v0.5".
    Fixes build-failure on non-x86/amd64 due to object splitting
    being unconditionally enabled.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 23 Oct 2006 12:32:51 +0100

haskell-network (2.0-1) unstable; urgency=low

  * Initial release (was part of ghc6 until version 6.6-1).

 -- Ian Lynagh (wibble) <igloo@debian.org>  Fri, 13 Oct 2006 16:43:11 +0000
